/* Checkbox ================ */

:root {
  --checkbox-icon-size: 15px;

  --checkbox-color: var(--color-black-light);
  --checkbox-color-white: var(--color-white);

  --checkbox-font-size: var(--text-size-main-small);
}

.checkbox {
  position: relative;
  display: inline-flex;
  align-items: center;
  padding-left: 25px;
  cursor: pointer;
}

.checkbox__input {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0 0 0 0);

  &:checked {

    ~ .checkbox__icon {

      &::after {
        opacity: 1;
      }
    }
  }

  ~ span.error {
    display: none !important;
  }

  &.error {

    ~ .checkbox__icon {
      border-color: var(--color-error);
    }
  }
}

.checkbox__icon {
  position: absolute;
  top: 2px;
  left: 0;
  width: var(--checkbox-icon-size);
  height: var(--checkbox-icon-size);
  border: 1px solid var(--checkbox-color);
  border-radius: 4px;

  &::after {
    content: "";
    position: absolute;
    top: 3px;
    left: 3px;
    width: 9px;
    height: 5px;
    border-bottom: 2px solid var(--checkbox-color);
    border-left: 2px solid var(--checkbox-color);
    opacity: 0;
    transform: rotate(-40deg);
  }
}

.checkbox__label {
  color: var(--checkbox-color);
  font-size: var(--checkbox-font-size);
  font-family: var(--font-pt-sans);
  text-align: left;

  a {
    font-weight: var(--text-font-weight-bold);
    font-size: var(--checkbox-font-size);
  }
}

.checkbox--white {

  .checkbox__icon {
    border-color: var(--checkbox-color-white);

    &::after {
      border-bottom-color: var(--checkbox-color-white);
      border-left-color: var(--checkbox-color-white);
    }
  }

  .checkbox__label {
    color: var(--checkbox-color-white);
  }
}
/* ================ end checkbox styles */
